Set Up a Voice Gateway Account - Cognigy Documentation
Set Up a Voice Gateway Account
Request: POST /v2.0/organisations/voicegateway/account
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/organisations/voicegateway/account \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '\n{\n "accountSid": "<string>"\n}\n'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/organisations/voicegateway/account"
payload = { "accountSid": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountSid: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/organisations/voicegateway/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/organisations/voicegateway/account",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
'accountSid' => '<string>'\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/organisations/voicegateway/account"
payload := strings.NewReader("{\n \"accountSid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Status Codes
- 200: Successfully created the Voice Gateway account.
- 400: Bad Request - Validation failed.
- 401: Unauthorized - Missing or invalid API Key.
- 403: Forbidden - Access denied.
- 404: Not Found - The requested resource does not exist.
- 500: Internal Server Error - The server has encountered a situation it doesn't know how to handle.
Authorization
- X-API-Key: string, header, required. Supply your API Key in the HTTP header.
Headers
- Accept: enum, specifies the media type expected in the response. Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv. Default is application/json.
Body
- accountSid: string - The Service Provider Identifier (SID) of the Voice Gateway account.
Successful Response
- 200: Cognigy Voice Gateway account was successfully set up for the organization.